# ionoscloud\_dns\_reverse\_records

The **DNS Reverse Records** can be used to search for and return existing DNS Reverse Records. Multiple matches will be returned.

> ⚠️ Only tokens are accepted for authorization in the **ionoscloud\_dns\_reverse\_records** data source. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

### By name

```hcl
data "ionoscloud_dns_reverse_records" "example" {
  name = "recordexample"
}
```

### By name with partial match

```hcl
data "ionoscloud_dns_reverse_records" "example" {
  name = "record"
  partial_match = true
}
```

### By IPs

```hcl
data "ionoscloud_dns_reverse_records" "example" {
  ips = ["exampleIP1", "exampleIP2"]
}
```

## Argument reference

* `name` - (Optional)\[string] The name of the DNS Reverse Record you want to search for.
* `ips` - (Optional)\[list of string] The IPs of the DNS Reverse Records you want to search for.
* `partial_match` - (Optional)\[bool] Whether partial matching is allowed or not when using name argument. Default value is false.

## Attributes Reference

The following attributes are returned by the datasource:

* `reverse_records` list of
  * `id` - The UUID of the DNS Reverse Record.
  * `name` - The reverse DNS record name.
  * `ip` - Specifies for which IP address the reverse record should be created. The IP addresses needs to be owned by the contract.
  * `description` - Description stored along with the reverse DNS record to describe its usage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dns_reverse_records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
